VST 3 SDK VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
StringListParameter Class Reference
VST Implementation Helper Classes

Description of a StringListParameter. More...

`#include <vstparameters.h>`

Inheritance diagram for StringListParameter:

## Public Member Functions
| StringListParameter (const ParameterInfo &paramInfo)
| StringListParameter (const TChar *title, ParamID tag, const TChar *units=nullptr, int32 flags=ParameterInfo::kCanAutomate|ParameterInfo::kIsList, UnitID unitID=kRootUnitId, const TChar *shortTitle=nullptr)
| ~StringListParameter () override
virtual void | appendString (const String128 string)
| Appends a string and increases the stepCount. More...
virtual bool | replaceString (int32 index, const String128 string)
| Replaces the string at index. More...
void | toString (ParamValue _valueNormalized, String128 string) const SMTG_OVERRIDE
| Converts a normalized value to a string. More...
bool | fromString (const TChar *string, ParamValue &_valueNormalized) const SMTG_OVERRIDE
| Converts a string to a normalized value. More...
ParamValue | toPlain (ParamValue _valueNormalized) const SMTG_OVERRIDE
| Converts a normalized value to plain value (e.g. More...
ParamValue | toNormalized (ParamValue plainValue) const SMTG_OVERRIDE
| Converts a plain value to a normalized value (e.g. More...
Public Member Functions inherited from Parameter
| Parameter ()
| Parameter (const ParameterInfo &)
| Parameter (const TChar *title, ParamID tag, const TChar *units=nullptr, ParamValue defaultValueNormalized=0., int32 stepCount=0, int32 flags=ParameterInfo::kCanAutomate, UnitID unitID=kRootUnitId, const TChar *shortTitle=nullptr)
| ~Parameter () override
virtual const ParameterInfo & | getInfo () const
| Returns its read only info. More...
virtual ParameterInfo & | getInfo ()
| Returns its writable info. More...
virtual void | setUnitID (UnitID id)
| Sets its associated UnitId. More...
virtual UnitID | getUnitID ()
| Gets its associated UnitId. More...
ParamValue | getNormalized () const
| Gets its normalized value [0.0, 1.0]. More...
virtual bool | setNormalized (ParamValue v)
| Sets its normalized value [0.0, 1.0]. More...
virtual int32 | getPrecision () const
| Gets the current precision (used for string representation of float). More...
virtual void | setPrecision (int32 val)
| Sets the precision for string representation of float value (for example 4.34 with 2 as precision). More...

## Public Attributes
OBJ_METHODS(StringListParameter, Parameter) protected StringVector | strings
Public Attributes inherited from Parameter
OBJ_METHODS(Parameter, FObject) protected ParamValue | valueNormalized
int32 | precision

## Detailed Description

Description of a StringListParameter.

## Constructor & Destructor Documentation

StringListParameter | ( | const ParameterInfo & | paramInfo | ) |

StringListParameter | ( | const TChar * | title,
|  | ParamID | tag,
|  | const TChar * | units = `nullptr`,
|  | int32 | flags = `ParameterInfo::kCanAutomate | ParameterInfo::kIsList`,
|  | UnitID | unitID = `kRootUnitId`,
|  | const TChar * | shortTitle = `nullptr`
| ) |  |

~StringListParameter | ( |  | ) |
| override

## Member Function Documentation

void appendString | ( | const String128 | string | ) |
| virtual

Appends a string and increases the stepCount.

bool replaceString | ( | int32 | index,
|  | const String128 | string
| ) |  |
| virtual

Replaces the string at index.

Index must be between 0 and stepCount+1

void toString | ( | ParamValue | _valueNormalized,
|  | String128 | string
| ) |  | const
| virtual

Converts a normalized value to a string.

Reimplemented from Parameter.

bool fromString | ( | const TChar * | string,
|  | ParamValue & | _valueNormalized
| ) |  | const
| virtual

Converts a string to a normalized value.

Reimplemented from Parameter.

ParamValue toPlain | ( | ParamValue | _valueNormalized | ) | const
| virtual

Converts a normalized value to plain value (e.g.

0.5 to 10000.0Hz).

Reimplemented from Parameter.

ParamValue toNormalized | ( | ParamValue | plainValue | ) | const
| virtual

Converts a plain value to a normalized value (e.g.

10000 to 0.5).

Reimplemented from Parameter.

## Member Data Documentation

OBJ_METHODS (StringListParameter, Parameter) protected StringVector strings

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.